import React from "react";
const Logo = ({styled}) => {
	return (
		<>
			<svg
				width="35"
				height="33"
				viewBox="0 0 35 33"
				fill="none"
				xmlns="http://www.w3.org/2000/svg"
				className={`inline mx-2 ${styled}`}
			>
				<path
					d="M33.9485 13.7227C33.7918 13.532 33.5987 13.3745 33.3804 13.2594C33.1622 13.1442 32.9231 13.0738 32.6773 13.0521L28.0278 12.6771L27.6082 9.72153C27.5301 9.16863 27.2549 8.66255 26.8333 8.29642C26.4117 7.93029 25.8721 7.72875 25.3137 7.72888H24.5509C24.5509 5.81386 23.7902 3.97728 22.4361 2.62316C21.082 1.26904 19.2454 0.508301 17.3304 0.508301C15.4153 0.508301 13.5788 1.26904 12.2246 2.62316C10.8705 3.97728 10.1098 5.81386 10.1098 7.72888H9.35023C8.7922 7.72885 8.25296 7.9305 7.83188 8.29668C7.4108 8.66287 7.13626 9.1689 7.05884 9.72153L6.02279 17.0311L3.08307 17.2694C2.77844 17.2929 2.48158 17.377 2.20988 17.5168C1.93819 17.6565 1.69714 17.8491 1.50087 18.0833C1.30461 18.3174 1.15709 18.5884 1.06696 18.8803C0.976827 19.1723 0.945906 19.4793 0.976008 19.7833L1.55124 25.2655C1.60741 25.8316 1.87273 26.3564 2.29533 26.7373C2.71792 27.1181 3.26739 27.3276 3.83627 27.3249H5.00262C5.17974 27.6668 5.43928 27.9592 5.75779 28.1756C6.0763 28.392 6.44372 28.5256 6.82684 28.5643L11.3905 32.3303C11.5301 32.4454 11.7054 32.5084 11.8863 32.5083C12.0654 32.5065 12.2388 32.445 12.3789 32.3335C12.5174 32.2186 12.612 32.0594 12.6468 31.8828C12.6815 31.7062 12.6543 31.523 12.5696 31.3642L11.0823 28.5834H27.6082C27.9406 28.5828 28.269 28.5107 28.5711 28.372C28.8731 28.2333 29.1418 28.0312 29.3589 27.7795C29.5759 27.5278 29.7363 27.2323 29.829 26.9131C29.9218 26.5939 29.9448 26.2585 29.8965 25.9297L29.3689 22.1796L31.1073 20.7463H32.102C32.5659 20.7477 33.0137 20.5763 33.358 20.2655C33.7024 19.9547 33.9186 19.5267 33.9644 19.0651L34.3712 15.1243C34.3996 14.8742 34.3768 14.6209 34.3041 14.38C34.2315 14.139 34.1104 13.9154 33.9485 13.7227ZM11.1872 8.4503V7.7257C11.1872 6.09642 11.8344 4.53387 12.9865 3.38179C14.1385 2.22972 15.7011 1.58249 17.3304 1.58249C18.9596 1.58249 20.5222 2.22972 21.6743 3.38179C22.8263 4.53387 23.4736 6.09642 23.4736 7.7257V8.4503C23.7636 8.52745 24.0157 8.70748 24.1828 8.95679C24.3498 9.20611 24.4205 9.50769 24.3816 9.80528C24.3427 10.1029 24.1969 10.3761 23.9713 10.5741C23.7458 10.7721 23.4559 10.8813 23.1558 10.8813C22.8556 10.8813 22.5658 10.7721 22.3402 10.5741C22.1147 10.3761 21.9688 10.1029 21.9299 9.80528C21.891 9.50769 21.9617 9.20611 22.1288 8.95679C22.2959 8.70748 22.5479 8.52745 22.838 8.4503V7.7257C22.838 6.26162 22.2564 4.85751 21.2211 3.82225C20.1858 2.78699 18.7817 2.20539 17.3177 2.20539C15.8536 2.20539 14.4495 2.78699 13.4142 3.82225C12.3789 4.85751 11.7973 6.26162 11.7973 7.7257V8.4503C12.0874 8.52745 12.3394 8.70748 12.5065 8.95679C12.6736 9.20611 12.7443 9.50769 12.7054 9.80528C12.6665 10.1029 12.5206 10.3761 12.2951 10.5741C12.0695 10.7721 11.7797 10.8813 11.4795 10.8813C11.1794 10.8813 10.8895 10.7721 10.664 10.5741C10.4384 10.3761 10.2926 10.1029 10.2537 9.80528C10.2148 9.50769 10.2855 9.20611 10.4525 8.95679C10.6196 8.70748 10.8717 8.52745 11.1617 8.4503H11.1872ZM5.6001 26.5653H3.83627C3.4604 26.5656 3.09781 26.4263 2.81886 26.1744C2.53992 25.9225 2.36451 25.5759 2.32669 25.2019L1.76099 19.7039C1.74089 19.5032 1.76094 19.3006 1.81997 19.1078C1.87899 18.9149 1.97582 18.7358 2.1048 18.5808C2.23377 18.4258 2.39232 18.298 2.57119 18.2049C2.75006 18.1118 2.94568 18.0553 3.14663 18.0385L18.4713 16.7959H18.5952C18.8154 16.7961 19.033 16.8443 19.2327 16.9371C19.4324 17.0298 19.6095 17.165 19.7516 17.3332C19.8938 17.5014 19.9976 17.6985 20.0559 17.9109C20.1141 18.1232 20.1254 18.3458 20.0889 18.5629L18.9512 25.2941C18.8938 25.6489 18.712 25.9716 18.4383 26.2046C18.1646 26.4375 17.8169 26.5654 17.4575 26.5653H9.10869L11.8831 31.7456L5.6001 26.5653ZM33.5989 15.0448L33.1921 19.0015C33.1645 19.2712 33.0377 19.5211 32.8363 19.7025C32.6348 19.884 32.3732 19.9841 32.102 19.9835H30.8308L26.2925 23.705L28.3074 19.9676H22.2691C22.0111 19.9676 21.7615 19.8763 21.5644 19.71C21.3672 19.5436 21.2352 19.313 21.1917 19.0587L20.3622 14.2026C20.3365 14.0465 20.3449 13.8866 20.387 13.734C20.429 13.5815 20.5037 13.4399 20.6059 13.319C20.708 13.1981 20.8352 13.1009 20.9786 13.034C21.122 12.967 21.2782 12.932 21.4364 12.9314H21.5286L32.5883 13.8276C32.7342 13.8383 32.8765 13.8782 33.0067 13.9447C33.137 14.0113 33.2526 14.1033 33.3468 14.2152C33.441 14.3272 33.5118 14.4568 33.5551 14.5966C33.5984 14.7363 33.6133 14.8833 33.5989 15.0289V15.0448Z"
					fill="white"
				/>
				<path
					d="M6.40415 21.1626C6.23997 21.162 6.07928 21.2101 5.94246 21.3008C5.80563 21.3916 5.69882 21.5209 5.63556 21.6724C5.57229 21.8239 5.55541 21.9908 5.58705 22.1519C5.6187 22.313 5.69745 22.4611 5.81332 22.5775C5.9292 22.6938 6.07699 22.7731 6.23798 22.8054C6.39897 22.8376 6.56591 22.8214 6.71766 22.7587C6.86942 22.696 6.99915 22.5897 7.09044 22.4532C7.18172 22.3167 7.23045 22.1563 7.23045 21.9921C7.23087 21.8833 7.20981 21.7755 7.16847 21.6749C7.12713 21.5743 7.06633 21.4828 6.98956 21.4057C6.91279 21.3287 6.82156 21.2675 6.7211 21.2258C6.62064 21.1841 6.51293 21.1626 6.40415 21.1626Z"
					fill="white"
				/>
				<path
					d="M10.2496 22.8184C10.4904 22.8184 10.7257 22.747 10.9259 22.6132C11.126 22.4795 11.282 22.2894 11.3742 22.067C11.4663 21.8446 11.4904 21.5998 11.4434 21.3637C11.3965 21.1276 11.2805 20.9107 11.1103 20.7405C10.9401 20.5702 10.7232 20.4543 10.4871 20.4073C10.251 20.3604 10.0062 20.3845 9.78382 20.4766C9.5614 20.5687 9.3713 20.7248 9.23755 20.9249C9.10381 21.1251 9.03242 21.3604 9.03242 21.6012C9.03242 21.924 9.16066 22.2336 9.38893 22.4619C9.6172 22.6901 9.9268 22.8184 10.2496 22.8184Z"
					fill="white"
				/>
				<path
					d="M14.0951 22.8184C14.3937 22.8184 14.6855 22.7298 14.9338 22.564C15.182 22.3981 15.3755 22.1623 15.4898 21.8865C15.604 21.6106 15.6339 21.3071 15.5757 21.0143C15.5174 20.7214 15.3736 20.4525 15.1625 20.2413C14.9514 20.0302 14.6824 19.8864 14.3896 19.8282C14.0968 19.77 13.7932 19.7998 13.5174 19.9141C13.2416 20.0284 13.0058 20.2218 12.8399 20.4701C12.674 20.7183 12.5855 21.0102 12.5855 21.3088C12.5855 21.7091 12.7445 22.0931 13.0276 22.3762C13.3108 22.6593 13.6947 22.8184 14.0951 22.8184Z"
					fill="white"
				/>
				<path
					d="M30.37 16.2398C30.248 16.2398 30.1288 16.2759 30.0275 16.3437C29.9261 16.4114 29.847 16.5077 29.8004 16.6204C29.7537 16.733 29.7415 16.857 29.7653 16.9766C29.7891 17.0962 29.8478 17.206 29.934 17.2923C30.0202 17.3785 30.1301 17.4372 30.2497 17.461C30.3693 17.4848 30.4933 17.4726 30.6059 17.4259C30.7186 17.3792 30.8149 17.3002 30.8826 17.1988C30.9504 17.0974 30.9865 16.9782 30.9865 16.8563C30.9865 16.6928 30.9216 16.536 30.806 16.4203C30.6903 16.3047 30.5335 16.2398 30.37 16.2398Z"
					fill="white"
				/>
				<path
					d="M27.5034 15.6613C27.3242 15.6613 27.1491 15.7145 27.0002 15.814C26.8512 15.9135 26.7351 16.055 26.6666 16.2205C26.598 16.386 26.5801 16.5681 26.615 16.7438C26.65 16.9195 26.7362 17.0809 26.8629 17.2076C26.9896 17.3342 27.151 17.4205 27.3267 17.4554C27.5024 17.4904 27.6845 17.4725 27.85 17.4039C28.0155 17.3353 28.1569 17.2193 28.2565 17.0703C28.356 16.9214 28.4091 16.7462 28.4091 16.5671C28.4091 16.3269 28.3137 16.0965 28.1438 15.9266C27.974 15.7568 27.7436 15.6613 27.5034 15.6613Z"
					fill="white"
				/>
				<path
					d="M24.6367 15.2259C24.4144 15.2266 24.1972 15.2931 24.0126 15.4171C23.828 15.5411 23.6843 15.717 23.5996 15.9227C23.515 16.1283 23.4931 16.3544 23.5369 16.5724C23.5807 16.7904 23.6881 16.9906 23.8455 17.1476C24.003 17.3046 24.2035 17.4115 24.4216 17.4546C24.6398 17.4978 24.8658 17.4753 25.0712 17.3901C25.2766 17.3048 25.4521 17.1606 25.5756 16.9757C25.6991 16.7908 25.765 16.5734 25.765 16.351C25.7654 16.2029 25.7365 16.0561 25.6799 15.9192C25.6233 15.7823 25.5402 15.658 25.4353 15.5534C25.3304 15.4488 25.2058 15.366 25.0688 15.3098C24.9317 15.2536 24.7849 15.2251 24.6367 15.2259Z"
					fill="white"
				/>
			</svg>
		</>
	);
};
export default Logo;
